cURL
curl --request PATCH \
--url https://api.unifygtm.com/data/v1/objects/{object_name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"display_name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.unifygtm.com/data/v1/objects/{object_name}"
payload = {
"display_name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', description: '<string>'})
};
fetch('https://api.unifygtm.com/data/v1/objects/{object_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"api_name": "<string>",
"display_name": "<string>",
"description": "<string>"
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "forbidden",
"message": "<string>"
}{
"status": "object_not_found",
"message": "<string>"
}{
"status": "object_conflict",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Objects
Update object
PATCH
/
objects
/
{object_name}
cURL
Authorizations
Path Parameters
Body
application/json
This is the user-facing object name shown within Unify. It is not required to be unique within Unify and can be changed at any time.
This is a description of the object. It is not required but will be shown in the UI to help understand the purpose of the object. Typically, this should be a short sentence or two explaining the object.
⌘I